<template>
  <section class="section" id="collaborators">
    <h1 class="title is-5 collaborators__title">Collaborators</h1>
    <div class="collaborators columns is-multiline">
      <div class="column is-narrow">
        <AUserAvatar :user-name="currentUser" :avata-url="avatarUrl" />
      </div>
      <!-- Permanent AddUser component for now but this will change depending on user permissions -->
      <div class="column is-narrow">
        <AddUser />
      </div>
    </div>
  </section>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import { KeycloakProfile } from "keycloak-js";
import AUserAvatar from "@/components/AUserAvatar.vue";
import AddUser from "@/components/AddUser.vue";
import _ from "lodash";

@Component({
  components: { AUserAvatar, AddUser }
})
export default class ProjectCollaborators extends Vue {
  get currentUser(): string {
    let profile: KeycloakProfile = _.get(
      this.$store.state.user,
      "keycloakProfile"
    );
    if (!profile) {
      return "";
    }
    return profile.firstName + " " + profile.lastName;
  }

  get avatarUrl(): string {
    return _.get(this.$store.state.user, "arbaloProfile.avatar_url");
  }
}
</script>

<style lang="scss" scoped>
.collaborators {
  display: flex;
  flex-direction: row;
}
</style>
